# Operator defaults
allow_rwx_storage: True
cluster_domain: cluster.local
execution_affinity_required: True
opsperator_images_registry: False
pull_policy: IfNotPresent
root_domain: demo.local
scheduling_affinity_required: True
timezone: Europe/Paris

do_affinities: True
do_backups: False
do_debugs: False
do_exporters: False
do_loadbalancer_services: False
do_network_policy: False
do_podsecuritypolicy: True
do_triggers: False

# ARA
ara_playbook_labels:
- Cyrus
- Mails
- Opsperator
ara_playbook_name: Cyrus

# Kubernetes Backups Defaults
backups_daily_start_hour: 15
backups_hourly_start_minute: 15
backups_interval: daily
backups_weekly_start_day: 2

# Cyrus
cyrus_cpu_limit: 300m
cyrus_cpu_request: 10m
cyrus_data_capacity: 100Gi
cyrus_default_mailbox_quota: 10737418240
#cyrus_distro => one of alma, el8, rocky
#el8 discontinued/deprecated
cyrus_distro: alma
cyrus_do_pop: True
cyrus_image_source: https://gitlab.com/synacksynack/opsperator/docker-cyrus
cyrus_job_cpu_limit: 100m
cyrus_job_cpu_request: 10m
cyrus_job_memory_limit: 768Mi
cyrus_job_memory_request: 128Mi
cyrus_ldap_user_objectclass: inetOrgPerson
cyrus_memory_limit: 1Gi
cyrus_memory_request: 256Mi
cyrus_tag: 3.0.7-23.el8-1
rsyslog_cpu_limit: 100m
rsyslog_cpu_request: 25m
rsyslog_memory_limit: 512Mi
rsyslog_memory_request: 256Mi
saslauthd_cpu_limit: 100m
saslauthd_cpu_request: 25m
saslauthd_memory_limit: 512Mi
saslauthd_memory_request: 256Mi

# OpenShift DeploymentConfigs
deploy_pod_cpu_limit: 50m
deploy_pod_cpu_request: 50m
deploy_pod_memory_limit: 512Mi
deploy_pod_memory_request: 128Mi
deploy_revision_history_limit: 3

# Kubernetes
k8s_affinity_zone_label: kubernetes.io/hostname
k8s_namespace_nodes_selectors:
- kubernetes.io/os=linux
k8s_resource_nodes_selectors: []
k8s_unprivileged_userid: 1000
tls_provider: internalca

# NetworkPolicies
default_namespace_match: default
network_policy_deployment_label: name
network_policy_namespace_label: netpol

# Prometheus Exporters
exporter_cpu_limit: 100m
exporter_cpu_request: 50m
exporter_memory_limit: 128Mi
exporter_memory_request: 64Mi
prometheus_match: scrape-me
prometheus_namespace_match: prometheus-monitoring
prometheus_scrape_timeout: 10s
prometheus_service_label: k8s-app

# SSHd
sshd_cpu_limit: 100m
sshd_cpu_request: 10m
sshd_memory_limit: 512Mi
sshd_memory_request: 128Mi
sshd_tag: 7.9p1-10-20220424
